Bug 962351 - wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed
wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 05:14 EDT by Need Real Name
Modified: 2015-02-17 10:14 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:14:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cat /proc/bus/input/devices (2.61 KB, text/plain)
2013-05-15 05:22 EDT, Need Real Name
no flags Details
cat /proc/bus/input/devices for mbp4,1 (3.00 KB, text/plain)
2013-07-09 22:35 EDT, Chris Murphy
no flags Details
journalctl -xb for mbp4,1 (316.59 KB, text/plain)
2013-07-09 22:38 EDT, Chris Murphy
no flags Details

  None (edit)
Description Need Real Name 2013-05-13 05:14:13 EDT
Description of problem:
When I login to gnome, it crashes. See bug 961500.

If I run xinit gnome-session, I see this critical error:
wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed


Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.21.0-1.fc19.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Hutterer 2013-05-13 18:00:48 EDT
what wacom device do you have? please attach evemu recordings of the device here.

http://www.freedesktop.org/wiki/Evemu
Comment 2 Need Real Name 2013-05-14 11:36:35 EDT
I don't have a wacom device, it's just a laptop.
Comment 3 Need Real Name 2013-05-14 11:37:04 EDT
Could the trackpad for the mouse be a wacom device?
Comment 4 Peter Hutterer 2013-05-15 01:12:39 EDT
what laptop is it? Please attach your /proc/bus/input/devices
Comment 5 Need Real Name 2013-05-15 05:22:15 EDT
HP 5310m.
Comment 6 Need Real Name 2013-05-15 05:22:48 EDT
Created attachment 748161 [details]
cat /proc/bus/input/devices
Comment 7 Peter Hutterer 2013-05-15 23:40:42 EDT
weird, you don't have a wacom device, the Xorg.log from Bug 961500 (attachment 748153 [details]) doesn't show the driver being loaded either. Not sure why gsd thinks there is one and bails out about the type.
Comment 8 Vince Herried 2013-07-06 16:13:10 EDT
I think I have same issues.
      JS LOG: GNOME Shell started at Sat Jul 06 2013 14:52:43 GMT-0400 (EDT)
Window manager warning: CurrentTime used to choose focus window; focus window may not be correct.
Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!
Window manager warning: Log level 8: g_source_remove: assertion `tag > 0' failed
gnome-session[1428]: WARNING: Detected that screensaver has left the bus
gnome-session[1428]: CRITICAL: gsm_manager_set_phase: assertion `GSM_IS_MANAGER (manager)' failed
g_dbus_connection_real_closed: Remote peer vanished with error: Underlying GIOStream returned 0 bytes on an async read (g-io-error-quark, 0). Exiting.

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:1707): GLib-GIO-WARNING **: Error releasing name org.freedesktop.ScreenSaver: The connection is closed

No wacom.
Logitec wireless kybd and mouse.
# cat /proc/bus/input/devices
I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=PNP0C0C/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input0
U: Uniq=
H: Handlers=kbd event0 
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0019 Vendor=0000 Product=0001 Version=0000
N: Name="Power Button"
P: Phys=LNXPWRBN/button/input0
S: Sysfs=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
U: Uniq=
H: Handlers=kbd event1 
B: PROP=0
B: EV=3
B: KEY=100000 0 0 0

I: Bus=0003 Vendor=046d Product=c512 Version=0111
N: Name="Logitech 2.4GHz Cordless Desktop"
P: Phys=usb-0000:00:1a.7-2.4.1.2/input0
S: Sysfs=/devices/pci0000:00/0000:00:1a.7/usb1/1-2/1-2.4/1-2.4.1/1-2.4.1.2/1-2.4.1.2:1.0/input/input2
U: Uniq=
H: Handlers=kbd event2 
B: PROP=0
B: EV=120013
B: KEY=10000 7 ff800000 7ff febeffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=ff1f

I: Bus=0003 Vendor=046d Product=c512 Version=0111
N: Name="Logitech 2.4GHz Cordless Desktop"
P: Phys=usb-0000:00:1a.7-2.4.1.2/input1                                                                                                   
S: Sysfs=/devices/pci0000:00/0000:00:1a.7/usb1/1-2/1-2.4/1-2.4.1/1-2.4.1.2/1-2.4.1.2:1.1/input/input3                                     
U: Uniq=                                                                                                                                  
H: Handlers=kbd mouse0 event3                                                                                                             
B: PROP=0                                                                                                                                 
B: EV=2001f                                                                                                                               
B: KEY=4837fff 72ff32d bf544446 0 0 3f0001 20c10 b17c000 267bfa d941dfed 9e1680 4400 0 10000002                                           
B: REL=1c3                                                                                                                                
B: ABS=1 0                                                                                                                                
B: MSC=10                                                                                                                                 
B: LED=ff00                                                                                                                               
                                                                                                                                          
I: Bus=0003 Vendor=0a5c Product=4502 Version=0111                                                                                         
N: Name="HID 0a5c:4502"                                                                                                                   
P: Phys=usb-0000:00:1a.7-2.4.1.3.1/input0                                                                                                 
S: Sysfs=/devices/pci0000:00/0000:00:1a.7/usb1/1-2/1-2.4/1-2.4.1/1-2.4.1.3/1-2.4.1.3.1/1-2.4.1.3.1:1.0/input/input4                       
U: Uniq=                                                                                                                                  
H: Handlers=kbd event4                                                                                                                    
B: PROP=0                                                                                                                                 
B: EV=120013
B: KEY=10000 7 ff800000 7ff febeffdf f3cfffff ffffffff fffffffe
B: MSC=10
B: LED=7

I: Bus=0003 Vendor=0a5c Product=4503 Version=0111
N: Name="HID 0a5c:4503"
P: Phys=usb-0000:00:1a.7-2.4.1.3.2/input0
S: Sysfs=/devices/pci0000:00/0000:00:1a.7/usb1/1-2/1-2.4/1-2.4.1/1-2.4.1.3/1-2.4.1.3.2/1-2.4.1.3.2:1.0/input/input5
U: Uniq=
H: Handlers=mouse1 event5 
B: PROP=0
B: EV=17
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3
B: MSC=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel Line"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input6
U: Uniq=
H: Handlers=event6 
B: PROP=0
B: EV=21
B: SW=2000

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel Mic"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input7
U: Uniq=
H: Handlers=event7 
B: PROP=0
B: EV=21
B: SW=10

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel Front Headphone"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input8
U: Uniq=
H: Handlers=event8 
B: PROP=0
B: EV=21
B: SW=4

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA Intel Line Out"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9
U: Uniq=
H: Handlers=event9 
B: PROP=0
B: EV=21
B: SW=40

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA NVidia HDMI/DP,pcm=9"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input10
U: Uniq=
H: Handlers=event10 
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA NVidia HDMI/DP,pcm=8"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input11
U: Uniq=
H: Handlers=event11 
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA NVidia HDMI/DP,pcm=7"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input12
U: Uniq=
H: Handlers=event12 
B: PROP=0
B: EV=21
B: SW=140

I: Bus=0000 Vendor=0000 Product=0000 Version=0000
N: Name="HDA NVidia HDMI/DP,pcm=3"
P: Phys=ALSA
S: Sysfs=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input13
U: Uniq=
H: Handlers=event13 
B: PROP=0
B: EV=21
B: SW=140
Comment 9 Chris Murphy 2013-07-09 22:35:18 EDT
Created attachment 771342 [details]
cat /proc/bus/input/devices for mbp4,1

cat /proc/bus/input/devices
Apple Inc. MacBookPro4,1
There is no wacom tablet attached either.
Comment 10 Chris Murphy 2013-07-09 22:38:06 EDT
Created attachment 771343 [details]
journalctl -xb for mbp4,1
Comment 11 Fedora End Of Life 2015-01-09 13:06:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:14:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.